{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        if (boost.def && boost.def < 0) {
            delete boost.def;
            if (!effect.secondaries && effect.id !== "octolock") {
                this.add("-fail", target, "unboost", "Defense", "[from] ability: Big Pecks", "[of] " + target);
            }
        }
    },
    onBasePowerPriority: 19,
    onBasePower(basePower, attacker, defender, move) {
        if (move.flags["pecking"]) {
            this.debug("BigPecks boost");
            return this.chainModify(1.3);
        }
    },
    flags: { breakable: 1 },
    name: "Big Pecks",
    rating: 0.5,
    num: 145
}
